// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: circuitsegmentservicemodule/circuitsegmentservicemodule.proto

package openfmb.circuitsegmentservicemodule;

public final class Circuitsegmentservicemodule {
  private Circuitsegmentservicemodule() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistryLite registry) {
  }

  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
    registerAllExtensions(
        (com.google.protobuf.ExtensionRegistryLite) registry);
  }
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_circuitsegmentservicemodule_Optional_CircuitSegmentServiceModeKind_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_circuitsegmentservicemodule_Optional_CircuitSegmentServiceModeKind_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_circuitsegmentservicemodule_ENG_CircuitSegmentServiceModeKind_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_circuitsegmentservicemodule_ENG_CircuitSegmentServiceModeKind_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_circuitsegmentservicemodule_CircuitSegmentControlDCSC_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_circuitsegmentservicemodule_CircuitSegmentControlDCSC_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_circuitsegmentservicemodule_CircuitSegmentControl_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_circuitsegmentservicemodule_CircuitSegmentControl_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_circuitsegmentservicemodule_CircuitSegmentControlProfile_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_circuitsegmentservicemodule_CircuitSegmentControlProfile_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_circuitsegmentservicemodule_CircuitSegmentEventDCSC_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_circuitsegmentservicemodule_CircuitSegmentEventDCSC_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_circuitsegmentservicemodule_CircuitSegmentEvent_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_circuitsegmentservicemodule_CircuitSegmentEvent_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_circuitsegmentservicemodule_CircuitSegmentEventProfile_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_circuitsegmentservicemodule_CircuitSegmentEventProfile_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_circuitsegmentservicemodule_CircuitSegmentStatusDCSC_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_circuitsegmentservicemodule_CircuitSegmentStatusDCSC_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_circuitsegmentservicemodule_CircuitSegmentStatus_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_circuitsegmentservicemodule_CircuitSegmentStatus_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_circuitsegmentservicemodule_CircuitSegmentStatusProfile_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_circuitsegmentservicemodule_CircuitSegmentStatusProfile_fieldAccessorTable;

  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static  com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n=circuitsegmentservicemodule/circuitseg" +
      "mentservicemodule.proto\022\033circuitsegments" +
      "ervicemodule\032\tuml.proto\032\036google/protobuf" +
      "/wrappers.proto\032\037commonmodule/commonmodu" +
      "le.proto\"s\n&Optional_CircuitSegmentServi" +
      "ceModeKind\022I\n\005value\030\001 \001(\0162:.circuitsegme" +
      "ntservicemodule.CircuitSegmentServiceMod" +
      "eKind\"\260\001\n!ENG_CircuitSegmentServiceModeK" +
      "ind\022T\n\006setVal\030\001 \001(\0162:.circuitsegmentserv" +
      "icemodule.CircuitSegmentServiceModeKindB" +
      "\010\210\265\030\001\220\265\030\001\0225\n\017setValExtension\030\002 \001(\0132\034.goo" +
      "gle.protobuf.StringValue\"\362\001\n\031CircuitSegm" +
      "entControlDCSC\022H\n\025logicalNodeForControl\030" +
      "\001 \001(\0132#.commonmodule.LogicalNodeForContr" +
      "olB\004\200\265\030\001\022a\n\031CircuitSegmentServiceMode\030\002 " +
      "\001(\0132>.circuitsegmentservicemodule.ENG_Ci" +
      "rcuitSegmentServiceModeKind\022(\n\006Island\030\003 " +
      "\001(\0132\030.commonmodule.ControlDPC\"\352\001\n\025Circui" +
      "tSegmentControl\022>\n\020identifiedObject\030\001 \001(" +
      "\0132\036.commonmodule.IdentifiedObjectB\004\200\265\030\001\022" +
      ",\n\005check\030\002 \001(\0132\035.commonmodule.CheckCondi" +
      "tions\022c\n\031circuitSegmentControlDCSC\030\003 \001(\013" +
      "26.circuitsegmentservicemodule.CircuitSe" +
      "gmentControlDCSCB\010\210\265\030\001\220\265\030\001\"\213\002\n\034CircuitSe" +
      "gmentControlProfile\022B\n\022controlMessageInf" +
      "o\030\001 \001(\0132 .commonmodule.ControlMessageInf" +
      "oB\004\200\265\030\001\022D\n\021applicationSystem\030\002 \001(\0132\037.com" +
      "monmodule.ApplicationSystemB\010\210\265\030\001\220\265\030\001\022[\n" +
      "\025circuitSegmentControl\030\003 \001(\01322.circuitse" +
      "gmentservicemodule.CircuitSegmentControl" +
      "B\010\210\265\030\001\220\265\030\001:\004\300\363\030\001\"\333\003\n\027CircuitSegmentEvent" +
      "DCSC\0224\n\013logicalNode\030\001 \001(\0132\031.commonmodule" +
      ".LogicalNodeB\004\200\265\030\001\022a\n\031CircuitSegmentServ" +
      "iceMode\030\002 \001(\0132>.circuitsegmentservicemod" +
      "ule.ENG_CircuitSegmentServiceModeKind\022\'\n" +
      "\006Island\030\003 \001(\0132\027.commonmodule.StatusSPS\0220" +
      "\n\017PermissibleAuto\030\004 \001(\0132\027.commonmodule.S" +
      "tatusSPS\0222\n\021PermissibleManual\030\005 \001(\0132\027.co" +
      "mmonmodule.StatusSPS\0223\n\022PermissibleNetze" +
      "ro\030\006 \001(\0132\027.commonmodule.StatusSPS\0221\n\020Per" +
      "missibleStart\030\007 \001(\0132\027.commonmodule.Statu" +
      "sSPS\0220\n\017PermissibleStop\030\010 \001(\0132\027.commonmo" +
      "dule.StatusSPS\"\266\001\n\023CircuitSegmentEvent\022>" +
      "\n\020identifiedObject\030\001 \001(\0132\036.commonmodule." +
      "IdentifiedObjectB\004\200\265\030\001\022_\n\027circuitSegment" +
      "EventDCSC\030\002 \001(\01324.circuitsegmentservicem" +
      "odule.CircuitSegmentEventDCSCB\010\210\265\030\001\220\265\030\001\"" +
      "\201\002\n\032CircuitSegmentEventProfile\022>\n\020eventM" +
      "essageInfo\030\001 \001(\0132\036.commonmodule.EventMes" +
      "sageInfoB\004\200\265\030\001\022D\n\021applicationSystem\030\002 \001(" +
      "\0132\037.commonmodule.ApplicationSystemB\010\210\265\030\001" +
      "\220\265\030\001\022W\n\023circuitSegmentEvent\030\003 \001(\01320.circ" +
      "uitsegmentservicemodule.CircuitSegmentEv" +
      "entB\010\210\265\030\001\220\265\030\001:\004\300\363\030\001\"\334\003\n\030CircuitSegmentSt" +
      "atusDCSC\0224\n\013logicalNode\030\001 \001(\0132\031.commonmo" +
      "dule.LogicalNodeB\004\200\265\030\001\022a\n\031CircuitSegment" +
      "ServiceMode\030\002 \001(\0132>.circuitsegmentservic" +
      "emodule.ENG_CircuitSegmentServiceModeKin" +
      "d\022\'\n\006Island\030\003 \001(\0132\027.commonmodule.StatusD" +
      "PS\0220\n\017PermissibleAuto\030\004 \001(\0132\027.commonmodu" +
      "le.StatusSPS\0222\n\021PermissibleManual\030\005 \001(\0132" +
      "\027.commonmodule.StatusSPS\0223\n\022PermissibleN" +
      "etzero\030\006 \001(\0132\027.commonmodule.StatusSPS\0221\n" +
      "\020PermissibleStart\030\007 \001(\0132\027.commonmodule.S" +
      "tatusSPS\0220\n\017PermissibleStop\030\010 \001(\0132\027.comm" +
      "onmodule.StatusSPS\"\271\001\n\024CircuitSegmentSta" +
      "tus\022>\n\020identifiedObject\030\001 \001(\0132\036.commonmo" +
      "dule.IdentifiedObjectB\004\200\265\030\001\022a\n\030circuitSe" +
      "gmentStatusDCSC\030\002 \001(\01325.circuitsegmentse" +
      "rvicemodule.CircuitSegmentStatusDCSCB\010\210\265" +
      "\030\001\220\265\030\001\"\206\002\n\033CircuitSegmentStatusProfile\022@" +
      "\n\021statusMessageInfo\030\001 \001(\0132\037.commonmodule" +
      ".StatusMessageInfoB\004\200\265\030\001\022D\n\021applicationS" +
      "ystem\030\002 \001(\0132\037.commonmodule.ApplicationSy" +
      "stemB\010\210\265\030\001\220\265\030\001\022Y\n\024circuitSegmentStatus\030\003" +
      " \001(\01321.circuitsegmentservicemodule.Circu" +
      "itSegmentStatusB\010\210\265\030\001\220\265\030\001:\004\300\363\030\001*\302\002\n\035Circ" +
      "uitSegmentServiceModeKind\022+\n\'CircuitSegm" +
      "entServiceModeKind_UNDEFINED\020\000\022&\n\"Circui" +
      "tSegmentServiceModeKind_none\020\001\022&\n\"Circui" +
      "tSegmentServiceModeKind_auto\020\002\022(\n$Circui" +
      "tSegmentServiceModeKind_manual\020\003\022)\n%Circ" +
      "uitSegmentServiceModeKind_netzero\020\004\022\'\n#C" +
      "ircuitSegmentServiceModeKind_start\020\005\022&\n\"" +
      "CircuitSegmentServiceModeKind_stop\020\006B\261\001\n" +
      "#openfmb.circuitsegmentservicemoduleP\001Zb" +
      "gitlab.com/openfmb/psm/ops/protobuf/go-o" +
      "penfmb-ops-protobuf/v2/openfmb/circuitse" +
      "gmentservicemodule\252\002#openfmb.circuitsegm" +
      "entservicemoduleb\006proto3"
    };
    descriptor = com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
          openfmb.Uml.getDescriptor(),
          com.google.protobuf.WrappersProto.getDescriptor(),
          openfmb.commonmodule.Commonmodule.getDescriptor(),
        });
    internal_static_circuitsegmentservicemodule_Optional_CircuitSegmentServiceModeKind_descriptor =
      getDescriptor().getMessageTypes().get(0);
    internal_static_circuitsegmentservicemodule_Optional_CircuitSegmentServiceModeKind_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_circuitsegmentservicemodule_Optional_CircuitSegmentServiceModeKind_descriptor,
        new java.lang.String[] { "Value", });
    internal_static_circuitsegmentservicemodule_ENG_CircuitSegmentServiceModeKind_descriptor =
      getDescriptor().getMessageTypes().get(1);
    internal_static_circuitsegmentservicemodule_ENG_CircuitSegmentServiceModeKind_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_circuitsegmentservicemodule_ENG_CircuitSegmentServiceModeKind_descriptor,
        new java.lang.String[] { "SetVal", "SetValExtension", });
    internal_static_circuitsegmentservicemodule_CircuitSegmentControlDCSC_descriptor =
      getDescriptor().getMessageTypes().get(2);
    internal_static_circuitsegmentservicemodule_CircuitSegmentControlDCSC_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_circuitsegmentservicemodule_CircuitSegmentControlDCSC_descriptor,
        new java.lang.String[] { "LogicalNodeForControl", "CircuitSegmentServiceMode", "Island", });
    internal_static_circuitsegmentservicemodule_CircuitSegmentControl_descriptor =
      getDescriptor().getMessageTypes().get(3);
    internal_static_circuitsegmentservicemodule_CircuitSegmentControl_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_circuitsegmentservicemodule_CircuitSegmentControl_descriptor,
        new java.lang.String[] { "IdentifiedObject", "Check", "CircuitSegmentControlDCSC", });
    internal_static_circuitsegmentservicemodule_CircuitSegmentControlProfile_descriptor =
      getDescriptor().getMessageTypes().get(4);
    internal_static_circuitsegmentservicemodule_CircuitSegmentControlProfile_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_circuitsegmentservicemodule_CircuitSegmentControlProfile_descriptor,
        new java.lang.String[] { "ControlMessageInfo", "ApplicationSystem", "CircuitSegmentControl", });
    internal_static_circuitsegmentservicemodule_CircuitSegmentEventDCSC_descriptor =
      getDescriptor().getMessageTypes().get(5);
    internal_static_circuitsegmentservicemodule_CircuitSegmentEventDCSC_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_circuitsegmentservicemodule_CircuitSegmentEventDCSC_descriptor,
        new java.lang.String[] { "LogicalNode", "CircuitSegmentServiceMode", "Island", "PermissibleAuto", "PermissibleManual", "PermissibleNetzero", "PermissibleStart", "PermissibleStop", });
    internal_static_circuitsegmentservicemodule_CircuitSegmentEvent_descriptor =
      getDescriptor().getMessageTypes().get(6);
    internal_static_circuitsegmentservicemodule_CircuitSegmentEvent_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_circuitsegmentservicemodule_CircuitSegmentEvent_descriptor,
        new java.lang.String[] { "IdentifiedObject", "CircuitSegmentEventDCSC", });
    internal_static_circuitsegmentservicemodule_CircuitSegmentEventProfile_descriptor =
      getDescriptor().getMessageTypes().get(7);
    internal_static_circuitsegmentservicemodule_CircuitSegmentEventProfile_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_circuitsegmentservicemodule_CircuitSegmentEventProfile_descriptor,
        new java.lang.String[] { "EventMessageInfo", "ApplicationSystem", "CircuitSegmentEvent", });
    internal_static_circuitsegmentservicemodule_CircuitSegmentStatusDCSC_descriptor =
      getDescriptor().getMessageTypes().get(8);
    internal_static_circuitsegmentservicemodule_CircuitSegmentStatusDCSC_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_circuitsegmentservicemodule_CircuitSegmentStatusDCSC_descriptor,
        new java.lang.String[] { "LogicalNode", "CircuitSegmentServiceMode", "Island", "PermissibleAuto", "PermissibleManual", "PermissibleNetzero", "PermissibleStart", "PermissibleStop", });
    internal_static_circuitsegmentservicemodule_CircuitSegmentStatus_descriptor =
      getDescriptor().getMessageTypes().get(9);
    internal_static_circuitsegmentservicemodule_CircuitSegmentStatus_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_circuitsegmentservicemodule_CircuitSegmentStatus_descriptor,
        new java.lang.String[] { "IdentifiedObject", "CircuitSegmentStatusDCSC", });
    internal_static_circuitsegmentservicemodule_CircuitSegmentStatusProfile_descriptor =
      getDescriptor().getMessageTypes().get(10);
    internal_static_circuitsegmentservicemodule_CircuitSegmentStatusProfile_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_circuitsegmentservicemodule_CircuitSegmentStatusProfile_descriptor,
        new java.lang.String[] { "StatusMessageInfo", "ApplicationSystem", "CircuitSegmentStatus", });
    com.google.protobuf.ExtensionRegistry registry =
        com.google.protobuf.ExtensionRegistry.newInstance();
    registry.add(openfmb.Uml.optionMultiplicityMin);
    registry.add(openfmb.Uml.optionOpenfmbProfile);
    registry.add(openfmb.Uml.optionParentMessage);
    registry.add(openfmb.Uml.optionRequiredField);
    com.google.protobuf.Descriptors.FileDescriptor
        .internalUpdateFileDescriptor(descriptor, registry);
    openfmb.Uml.getDescriptor();
    com.google.protobuf.WrappersProto.getDescriptor();
    openfmb.commonmodule.Commonmodule.getDescriptor();
  }

  // @@protoc_insertion_point(outer_class_scope)
}
